Bug 149913 - up2date does not set the default in grub.conf to the updated kernel on ia32e system
up2date does not set the default in grub.conf to the updated kernel on ia32e ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Connor
Beth Nackashi
:
Depends On:
Blocks: 155571 156320
  Show dependency treegraph
 
Reported: 2005-02-28 14:46 EST by Kyle Powell
Modified: 2014-03-30 21:37 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2005-712
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 13:15:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Powell 2005-02-28 14:46:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
Even with noBootLoader=0 in /etc/sysconfig/rhn/up2date up2date will
not set the default kernel in grub.conf to the newly installed/updated
kernel on an ia32e system (and I would guess it doesn't do it on
x86_64 either). It actually doesn't do anything. The postinstall
script in the kernel rpm is what puts the new kernel in grub.conf.

/usr/share/rhn/up2date_client/up2date.py contains:
    if up2dateUtils.archGlob() == 'i?86' and bootloader == "LILO":
        __install_lilo(kernelList)
    elif up2dateUtils.archGlob() == 'i?86' and bootloader == "GRUB":
        # at the moment, kernel rpms are supposed to grok grub
        # and do the Right Thing. Just a placeholder for doc purposes
        __install_grub(kernelList)
    elif up2dateUtils.archGlob() == "ia64":
        __install_elilo(kernelList)
                                                                     
          
There is no check for ia32e or x86_64. On i?86 w/ GRUB,
__install_grub(kernelList) would call grubcfg.installNewImages which
would run grubby with the --set-default option. This never happens on
x86_64/ia32e.

Version-Release number of selected component (if applicable):
up2date-4.2.57-2

How reproducible:
Always

Steps to Reproduce:
1. up2date kernel on a ia32e system


Actual Results:  old kernel remains the default

Expected Results:  new kernel should be the default unless
noBootLoader=1 is set

Additional info:
Comment 7 Jason Connor 2005-05-18 12:47:41 EDT
fixed in cvs, awaiting some testing
Comment 8 Debbie McGrath 2005-06-08 10:18:17 EDT
This bug is considered MustFix for RHEL 3 U6 by RHN Engineering.
Comment 10 Debbie McGrath 2005-06-21 17:24:03 EDT
Dev & PM ACKs for U6
Comment 12 Beth Nackashi 2005-07-02 15:04:06 EDT
please provide a test plan
Comment 13 Adrian Likins 2005-07-07 15:26:26 EDT
test plan:

1. find a ia32e (or x86_64) machine
2. Install say, rhel3u5 on it
3. install latest up2date
4. make sure it is using grub as the bootloader (default for rhel3)
5. install a new kernel
    (up2date -f kernel)
6. Verify that /etc/grub.conf has been update to point the default boot
   kernel to the new kernel
Comment 14 Beth Nackashi 2005-07-08 18:01:46 EDT
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/sda3
#          initrd /initrd-version.img
#boot=/dev/sda
default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Enterprise Linux AS (2.4.21-32.0.1.EL)
        root (hd0,0)
        kernel /vmlinuz-2.4.21-32.0.1.EL ro root=LABEL=/ hdc=ide-scsi
        initrd /initrd-2.4.21-32.0.1.EL.img
title Red Hat Enterprise Linux AS (2.4.21-27.EL)
        root (hd0,0)
        kernel /vmlinuz-2.4.21-27.EL ro root=LABEL=/ hdc=ide-scsi
        initrd /initrd-2.4.21-27.EL.img


other things to consider:
there was no /etc/lilo.conf file (good)
up2date version 4.4.27-3 tested
kernels:  kernel-2.4.21-27.EL upgraded to kernel-2.4.21-32.0.1.EL
Comment 15 Todd Warner 2005-09-23 17:44:01 EDT
PROD_READY is a deprecated state. This bug is now RELEASE_PENDING.
Comment 16 Red Hat Bugzilla 2005-09-28 13:15:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-712.html

Note You need to log in before you can comment on or make changes to this bug.